org.apache.juli.logging

## Class LogConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.juli.logging.LogConfigurationException

- All Implemented Interfaces:
    Serializable

      public class LogConfigurationException
      extends RuntimeException

  An exception that is thrown only if a suitable `LogFactory` or `Log` instance cannot be created by the corresponding factory methods.

  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogConfigurationException()` Construct a new exception with `null` as its detail message.
    `LogConfigurationException(String message)` Construct a new exception with the specified detail message.
    `LogConfigurationException(String message, Throwable cause)` Construct a new exception with the specified detail message and cause.
    `LogConfigurationException(Throwable cause)` Construct a new exception with the specified cause and a derived detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogConfigurationException

          public LogConfigurationException()

      Construct a new exception with `null` as its detail message.

    - #### LogConfigurationException

          public LogConfigurationException(String message)

      Construct a new exception with the specified detail message.
      Parameters:
        `message` - The detail message

    - #### LogConfigurationException

          public LogConfigurationException(Throwable cause)

      Construct a new exception with the specified cause and a derived detail message.
      Parameters:
        `cause` - The underlying cause

    - #### LogConfigurationException

          public LogConfigurationException(String message,
                                   Throwable cause)

      Construct a new exception with the specified detail message and cause.
      Parameters:
        `message` - The detail message
        `cause` - The underlying cause

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.